Delete Memory
curl --request DELETE \
--url https://api.example.com/memories/{memory_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/memories/{memory_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/memories/{memory_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "Bad request"
}{
"detail": "Unauthenticated access"
}{
"detail": "Not found"
}{
"detail": [
{
"loc": [
"body",
"endpoint"
],
"msg": "Value error, Endpoint must be a path, not a full URL",
"type": "value_error"
}
]
}{
"detail": "Internal server error"
}Memory
Delete Memory
Delete a specific user memory. A valid local database request returns 204 even when no memory matches the ID.
DELETE
/
memories
/
{memory_id}
Delete Memory
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Memory ID to delete
Query Parameters
User ID to delete memory for
Database ID to use for deletion
Table to use for deletion
Response
Memory deleted successfully